# OgreDynLib.h File Reference

`#include "OgrePrerequisites.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::DynLib
| Resource holding data about a dynamic library. More...

## Defines

#define | DYNLIB_HANDLE void*
#define | DYNLIB_LOAD(a) dlopen( a, RTLD_LAZY | RTLD_GLOBAL)
#define | DYNLIB_GETSYM(a, b) dlsym( a, b )
#define | DYNLIB_UNLOAD(a) dlclose( a )

## Define Documentation

#define DYNLIB_GETSYM | ( | a,
|  | b |  | ) | dlsym( a, b )

Definition at line 46 of file OgreDynLib.h.

#define DYNLIB_HANDLE void*

Definition at line 44 of file OgreDynLib.h.

#define DYNLIB_LOAD | ( | a |  | ) | dlopen( a, RTLD_LAZY | RTLD_GLOBAL)

Definition at line 45 of file OgreDynLib.h.

#define DYNLIB_UNLOAD | ( | a |  | ) | dlclose( a )

Definition at line 47 of file OgreDynLib.h.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Dec 27 17:31:09 2009